Xcode7使用插件的简单方法&&以及怎样下载到更早版本的Xcode

Xcode插件安装位置:/Users/用户名/Library/Application Support/Developer/Shared/Xcode/Plug-ins

Xcode7自2015年9上架以来也有段时间了, 使用Xcode7以及Xcode7.1\\Xcode7.2的小伙伴会发现像VVDocumenter-Xcode\\KSImageNamed-Xcode\\HOStringSense-for-Xcode等等一系列的插件不能正常使用了,下面我们就来解决一下该版本Xcode插件使用的办法;
(一) Xcode7使用插件的简单方法:
1.首先查看 Xcode 的 UUID,在终端执行:
defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID
这是你会得到一串32位的UUID,将UUID拷贝下来,如下图:

图片发自简书App

2.找到 Xcode 插件所在的目录:
~/Library/Application Support/Developer/Shared/Xcode/Plug-ins
选择已安装的插件如:KSImageNamed-Xcode,右键显示包内容,找到 info.plist
找到DVTPlugInCompatibilityUUIDs的项目,添加一个Item,Value的值为之前Xcode的UUID,保存,如下图:

图片发自简书App

重启 Xcode 之后会提示"Load bundle"、 "Skip Bundle",这里必须选择"Load bundle",不然插件无法使用;
3.如果手误点击了"Skip Bundle"的解决办法:
找到该插件安装路径下,继续打开在 info.plist 删除与命令端里面同样的UUID号,一般都会在第一行或者最后一行,自己添加的那一行也要删除掉保存之后重启Xcode,再次添加之前xcodeUUID。在重启就再次出现了插件提示,再次选择"Load bundle",就OK了;
(二) 怎样下载到更早版本的Xcode:
下载新版的Xcode大家直接在App Store下载安装即可, 有些时候大家也许会用到旧版的Xcode, 当然获取旧版本的Xcode的途径有很多, 这里我们介绍一下官网获取正版的Xcode的途径, 前提是我们必须要有一个苹果账号, 登录以下网址即可:
https://developer.apple.com/downloads/
登录后的效果图如下, 就可以看到各个版本的Xcode的了;

图片发自简书App

推荐阅读更多精彩内容